package net.minecraft.world.item.crafting;

import net.minecraft.world.level.ItemLike;
import net.minecraft.world.level.block.Blocks;
import net.minecraft.world.item.ItemStack;
import net.minecraft.resources.ResourceLocation;

public class SmokingRecipe extends AbstractCookingRecipe {
    public SmokingRecipe(final ResourceLocation uh, final String string, final Ingredient bmr, final ItemStack bki, final float float5, final int integer) {
        super(RecipeType.SMOKING, uh, string, bmr, bki, float5, integer);
    }
    
    @Override
    public ItemStack getToastSymbol() {
        return new ItemStack(Blocks.SMOKER);
    }
    
    @Override
    public RecipeSerializer<?> getSerializer() {
        return RecipeSerializer.SMOKING_RECIPE;
    }
}
